libnjb 2.2.7

Functions | Variables
ioutil.c File Reference
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include "libnjb.h"`
`#include "defs.h"`
`#include "base.h"`
`#include "ioutil.h"`

## Functions
void | data_dump (FILE *f, void *buf, size_t n)
void | data_dump_ascii (FILE *f, void *buf, size_t n, size_t dump_boundry)

## Variables
int | __sub_depth

## Detailed Description

This file contain some general I/O helper routines, related to the operating system and debug output.

## Function Documentation

## ◆ data_dump()

void data_dump | ( | FILE * | f,
|  | void * | buf,
|  | size_t | n
| ) |  |

This dumps out a number of bytes to a textual, hexadecimal dump.

Parameters

  f | the file to dump to (e.g. stdout or stderr)
  buf | a pointer to the buffer containing the bytes to be dumped out in hex
  n | the number of bytes to dump from this buffer

Referenced by njb_get_library_counter(), njb_ping(), and usb_setup().

## ◆ data_dump_ascii()

void data_dump_ascii | ( | FILE * | f,
|  | void * | buf,
|  | size_t | n,
|  | size_t | dump_boundry
| ) |  |

This dumps out a number of bytes to a textual, hexadecimal dump, and also prints out the string ASCII representation for each line of bytes. It will also print the memory address offset from a certain boundry.

Parameters

  f | the file to dump to (e.g. stdout or stderr)
  buf | a pointer to the buffer containing the bytes to be dumped out in hex
  n | the number of bytes to dump from this buffer
  dump_boundry | the address offset to start at (usually 0)

Referenced by usb_pipe_write(), and usb_setup().

## Variable Documentation

## ◆ __sub_depth

int __sub_depth

The current subroutine depth for all of libnjb (global)